Package be.fgov.ehealth.mediprima.core.v1

# Class ObjectFactory

java.lang.Object
be.fgov.ehealth.mediprima.core.v1.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.mediprima.core.v1 package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.mediprima.core.v1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AllowedSupplementsType`
  `createAllowedSupplementsType()`
  Create an instance of `AllowedSupplementsType`
  `BeneficiaryType`
  `createBeneficiaryType()`
  Create an instance of `BeneficiaryType`
  `BySsinType`
  `createBySsinType()`
  Create an instance of `BySsinType`
  `CarmedAttributedListType`
  `createCarmedAttributedListType()`
  Create an instance of `CarmedAttributedListType`
  `CarmedContentCareType`
  `createCarmedContentCareType()`
  Create an instance of `CarmedContentCareType`
  `CarmedIdentifierType`
  `createCarmedIdentifierType()`
  Create an instance of `CarmedIdentifierType`
  `CbssStatus`
  `createCbssStatus()`
  Create an instance of `CbssStatus`
  `CompanyListType`
  `createCompanyListType()`
  Create an instance of `CompanyListType`
  `ConsultCarmedDataType`
  `createConsultCarmedDataType()`
  Create an instance of `ConsultCarmedDataType`
  `ConsultCarmedInterventionResultType`
  `createConsultCarmedInterventionResultType()`
  Create an instance of `ConsultCarmedInterventionResultType`
  `DoctorType`
  `createDoctorType()`
  Create an instance of `DoctorType`
  `HospitalizationType`
  `createHospitalizationType()`
  Create an instance of `HospitalizationType`
  `InformationType`
  `createInformationType()`
  Create an instance of `InformationType`
  `MedicalCardRegistryMessageType`
  `createMedicalCardRegistryMessageType()`
  Create an instance of `MedicalCardRegistryMessageType`
  `MedicalCardRegistryStatus`
  `createMedicalCardRegistryStatus()`
  Create an instance of `MedicalCardRegistryStatus`
  `MedicalCoverCommonInformationType`
  `createMedicalCoverCommonInformationType()`
  Create an instance of `MedicalCoverCommonInformationType`
  `MedicalCoverType`
  `createMedicalCoverType()`
  Create an instance of `MedicalCoverType`
  `MedicalTransportationType`
  `createMedicalTransportationType()`
  Create an instance of `MedicalTransportationType`
  `MiscellaneousType`
  `createMiscellaneousType()`
  Create an instance of `MiscellaneousType`
  `NameType`
  `createNameType()`
  Create an instance of `NameType`
  `NihiiNumberListType`
  `createNihiiNumberListType()`
  Create an instance of `NihiiNumberListType`
  `OcmwCpasType`
  `createOcmwCpasType()`
  Create an instance of `OcmwCpasType`
  `ParamedicType`
  `createParamedicType()`
  Create an instance of `ParamedicType`
  `PeriodType`
  `createPeriodType()`
  Create an instance of `PeriodType`
  `PharmaceuticalDrugType`
  `createPharmaceuticalDrugType()`
  Create an instance of `PharmaceuticalDrugType`
  `PodmiSppisPartType`
  `createPodmiSppisPartType()`
  Create an instance of `PodmiSppisPartType`
  `ProsthesisType`
  `createProsthesisType()`
  Create an instance of `ProsthesisType`
  `ProviderList`
  `createProviderList()`
  Create an instance of `ProviderList`
  `PswcSupportType`
  `createPswcSupportType()`
  Create an instance of `PswcSupportType`
  `RefundPodmiSppisType`
  `createRefundPodmiSppisType()`
  Create an instance of `RefundPodmiSppisType`
  `SupplementTypeListType`
  `createSupplementTypeListType()`
  Create an instance of `SupplementTypeListType`
  `ZivAmiPatientPartType`
  `createZivAmiPatientPartType()`
  Create an instance of `ZivAmiPatientPartType`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.mediprima.core.v1

- ## Method Details

  - ### createCbssStatus

    public CbssStatus createCbssStatus()
    Create an instance of `CbssStatus`
    Returns:
      the new instance of `CbssStatus`

  - ### createInformationType

    public InformationType createInformationType()
    Create an instance of `InformationType`
    Returns:
      the new instance of `InformationType`

  - ### createMedicalCardRegistryStatus

    public MedicalCardRegistryStatus createMedicalCardRegistryStatus()
    Create an instance of `MedicalCardRegistryStatus`
    Returns:
      the new instance of `MedicalCardRegistryStatus`

  - ### createMedicalCardRegistryMessageType

    public MedicalCardRegistryMessageType createMedicalCardRegistryMessageType()
    Create an instance of `MedicalCardRegistryMessageType`
    Returns:
      the new instance of `MedicalCardRegistryMessageType`

  - ### createSupplementTypeListType

    public SupplementTypeListType createSupplementTypeListType()
    Create an instance of `SupplementTypeListType`
    Returns:
      the new instance of `SupplementTypeListType`

  - ### createAllowedSupplementsType

    public AllowedSupplementsType createAllowedSupplementsType()
    Create an instance of `AllowedSupplementsType`
    Returns:
      the new instance of `AllowedSupplementsType`

  - ### createBeneficiaryType

    public BeneficiaryType createBeneficiaryType()
    Create an instance of `BeneficiaryType`
    Returns:
      the new instance of `BeneficiaryType`

  - ### createBySsinType

    public BySsinType createBySsinType()
    Create an instance of `BySsinType`
    Returns:
      the new instance of `BySsinType`

  - ### createCompanyListType

    public CompanyListType createCompanyListType()
    Create an instance of `CompanyListType`
    Returns:
      the new instance of `CompanyListType`

  - ### createConsultCarmedDataType

    public ConsultCarmedDataType createConsultCarmedDataType()
    Create an instance of `ConsultCarmedDataType`
    Returns:
      the new instance of `ConsultCarmedDataType`

  - ### createConsultCarmedInterventionResultType

    public ConsultCarmedInterventionResultType createConsultCarmedInterventionResultType()
    Create an instance of `ConsultCarmedInterventionResultType`
    Returns:
      the new instance of `ConsultCarmedInterventionResultType`

  - ### createDoctorType

    public DoctorType createDoctorType()
    Create an instance of `DoctorType`
    Returns:
      the new instance of `DoctorType`

  - ### createCarmedAttributedListType

    public CarmedAttributedListType createCarmedAttributedListType()
    Create an instance of `CarmedAttributedListType`
    Returns:
      the new instance of `CarmedAttributedListType`

  - ### createCarmedContentCareType

    public CarmedContentCareType createCarmedContentCareType()
    Create an instance of `CarmedContentCareType`
    Returns:
      the new instance of `CarmedContentCareType`

  - ### createCarmedIdentifierType

    public CarmedIdentifierType createCarmedIdentifierType()
    Create an instance of `CarmedIdentifierType`
    Returns:
      the new instance of `CarmedIdentifierType`

  - ### createHospitalizationType

    public HospitalizationType createHospitalizationType()
    Create an instance of `HospitalizationType`
    Returns:
      the new instance of `HospitalizationType`

  - ### createMedicalCoverCommonInformationType

    public MedicalCoverCommonInformationType createMedicalCoverCommonInformationType()
    Create an instance of `MedicalCoverCommonInformationType`
    Returns:
      the new instance of `MedicalCoverCommonInformationType`

  - ### createMedicalCoverType

    public MedicalCoverType createMedicalCoverType()
    Create an instance of `MedicalCoverType`
    Returns:
      the new instance of `MedicalCoverType`

  - ### createMedicalTransportationType

    public MedicalTransportationType createMedicalTransportationType()
    Create an instance of `MedicalTransportationType`
    Returns:
      the new instance of `MedicalTransportationType`

  - ### createMiscellaneousType

    public MiscellaneousType createMiscellaneousType()
    Create an instance of `MiscellaneousType`
    Returns:
      the new instance of `MiscellaneousType`

  - ### createNameType

    public NameType createNameType()
    Create an instance of `NameType`
    Returns:
      the new instance of `NameType`

  - ### createNihiiNumberListType

    public NihiiNumberListType createNihiiNumberListType()
    Create an instance of `NihiiNumberListType`
    Returns:
      the new instance of `NihiiNumberListType`

  - ### createOcmwCpasType

    public OcmwCpasType createOcmwCpasType()
    Create an instance of `OcmwCpasType`
    Returns:
      the new instance of `OcmwCpasType`

  - ### createParamedicType

    public ParamedicType createParamedicType()
    Create an instance of `ParamedicType`
    Returns:
      the new instance of `ParamedicType`

  - ### createPeriodType

    public PeriodType createPeriodType()
    Create an instance of `PeriodType`
    Returns:
      the new instance of `PeriodType`

  - ### createPharmaceuticalDrugType

    public PharmaceuticalDrugType createPharmaceuticalDrugType()
    Create an instance of `PharmaceuticalDrugType`
    Returns:
      the new instance of `PharmaceuticalDrugType`

  - ### createProsthesisType

    public ProsthesisType createProsthesisType()
    Create an instance of `ProsthesisType`
    Returns:
      the new instance of `ProsthesisType`

  - ### createPswcSupportType

    public PswcSupportType createPswcSupportType()
    Create an instance of `PswcSupportType`
    Returns:
      the new instance of `PswcSupportType`

  - ### createRefundPodmiSppisType

    public RefundPodmiSppisType createRefundPodmiSppisType()
    Create an instance of `RefundPodmiSppisType`
    Returns:
      the new instance of `RefundPodmiSppisType`

  - ### createPodmiSppisPartType

    public PodmiSppisPartType createPodmiSppisPartType()
    Create an instance of `PodmiSppisPartType`
    Returns:
      the new instance of `PodmiSppisPartType`

  - ### createZivAmiPatientPartType

    public ZivAmiPatientPartType createZivAmiPatientPartType()
    Create an instance of `ZivAmiPatientPartType`
    Returns:
      the new instance of `ZivAmiPatientPartType`

  - ### createProviderList

    public ProviderList createProviderList()
    Create an instance of `ProviderList`
    Returns:
      the new instance of `ProviderList`